library checkotp;

import 'dart:convert';
import 'package:crypto/crypto.dart';
import 'package:http/http.dart' as http;

/// CheckOTP
class CheckOTP {
  String matchToken(String value, String token) {
    var digest = md5.convert(utf8.encode(value)); //.toString();

    print("digest: $digest");

    if (digest.toString() == token) {
      return "match";
    } else {
      return "mismatch";
    }
  }

  Future<String> fireOTPRequest(String toLaunch) async {
    var res = await http
        .get(Uri.parse(toLaunch), headers: {"Accept": "application/json"});
    var otpResponse = res.body.toString();
    print(otpResponse);
    return otpResponse;
  }

  Future<String> makeOTPRequest(
      String mobile, String appkey, String passphrase) {
    var toLaunch = 'http://droptxt.app/api/otp/v1/?appkey=' +
        appkey +
        '&passphrase=' +
        passphrase +
        '&mobile=' +
        mobile;

    Future<String> responseString = fireOTPRequest(toLaunch);

    //we should send the token if successful, or error if not.
    return responseString;
  }
}
